import { ChangeDetectorRef, OnDestroy, OnInit } from '@angular/core';
import { ActivatedRoute, Router } from '@angular/router';
import { TraxService } from '../../services/trax.service';
import { GlobalStateService, PageInfoService } from 'tango-app-ui-global';
import { ToastService } from 'tango-app-ui-shared';
import dayjs from 'dayjs';
import { Location } from '@angular/common';
import * as i0 from "@angular/core";
export declare class TaskComponent implements OnDestroy, OnInit {
    private route;
    private router;
    gs: GlobalStateService;
    private changeDetector;
    private toast;
    private TraxService;
    private pageInfo;
    private activatedRoute;
    private location;
    dayjs: typeof dayjs;
    private destroy$;
    isExport: boolean;
    itemsPerPage: number;
    currentPage: number;
    totalItems: number;
    paginationSizes: any[];
    pageSize: number;
    sortColumName: string;
    sortBy: any;
    sortDirection: any;
    searchInput: any;
    headerData: any;
    searchValue: string;
    limit: number;
    offset: number;
    searchDisabled: boolean;
    taskLoading: boolean;
    taskNoData: boolean;
    dataObject: any;
    overallCardsData: any;
    cardDataLoading: boolean;
    cardNoData: boolean;
    taskTableData: any[];
    type: string;
    priorityType: any;
    reloadDate: string;
    checklistId: any;
    coverageType: any;
    userEmailes: any;
    constructor(route: ActivatedRoute, router: Router, gs: GlobalStateService, changeDetector: ChangeDetectorRef, toast: ToastService, TraxService: TraxService, pageInfo: PageInfoService, activatedRoute: ActivatedRoute, location: Location);
    ngOnDestroy(): void;
    ngOnInit(): void;
    setPageData(): void;
    getOverallCardsData(): void;
    getTaskTableData(): void;
    removeQueryParams(): void;
    setPaginationSizes(): void;
    onExport(): void;
    searchField(): void;
    sortData(column: string): void;
    onPageSizeChange(pageSize: any): void;
    onPageChange(pageOffset: any): void;
    applyFilters(event: any): void;
    selectPlan(selectedType: string): void;
    taskDelete(id: any): void;
    navigateToTaskConfig(task: any): void;
    navigateToTaskEdit(task: any): void;
    dateFormat(date: any): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<TaskComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TaskComponent, "lib-task", never, {}, {}, never, never, false, never>;
}
